Bug 65048 - gnome-config --cflags doesn't include /usr/include/gnome-1.0
Summary: gnome-config --cflags doesn't include /usr/include/gnome-1.0
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-libs   
(Show other bugs)
Version: 7.3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-16 18:46 UTC by Need Real Name
Modified: 2007-04-18 16:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-29 21:34:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-05-16 18:46:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
gnome-config --cflags doesn't include /usr/include/gnome-1.0, even though that
is where gnome.h (and others) appear in the gnome-libs-devel package.  This
makes it difficult to build Gnome programs.

Version-Release number of selected component (if applicable): 1.4.1.2.90-14


How reproducible:
Always

Steps to Reproduce:
1. Run gnome-config --cflags
2. (Output should be empty.)
3. ls -l /usr/include/gnome.h (nothing there)
4. ls -l /usr/include/gnome-1.0/gnome.h

	

Expected Results:  gnome-config --cflags should include "-I
/usr/include/gnome-1.0" if indeed that gnome.h is the one which is needed.  If
not, then the right gnome.h is missing.

Additional info:

Comment 1 Havoc Pennington 2002-05-16 18:59:00 UTC
Aren't you supposed to use "gnome-config --cflags gnomeui" and so forth?
All our gnome packages were built against this gnome-libs...

Comment 2 Kjartan Maraas 2004-03-29 21:34:44 UTC
Closing this as NOTABUG.


Note You need to log in before you can comment on or make changes to this bug.